nucleus 3.65.01 doesn't run on PHP 5.4

medulinka

New member

nucleus 3.65.01 doesn't run on PHP 5.4 - I made an update with your 4 files (nucleus/lib)  from nucleus 5.65 to 5.65.01 - it works on PHP 5.3, but not with PHP 5.4

On PHP 5.4 I see an error if I want change the article with (I mean) the bookmarklet.php - in the POP-Up the heading I can see, but the item is empty.

What should I do? Can I make the Upgrade to your LMNNucleus with this bug? please help me roll

Greetings, Heidi- Medulinka

mayank

Member

You should definitely upgrade to latest version of Nucleus which is better designed for the PHP 5.4. I don't think there will be issue in upgrading but to be on safe side, take a backup of database before upgrading.

Alternatively try to see if there is an option of changing PHP version being used in the Hosting Panel. For example, in the Plesk Control Panel I have for my website, there is are 2 vesions of PHP to choose from. If there is such option in your control panel of web hosting then select the previous version and see if the site is working fine. Then you can upgrade to the latest version of Nuclues CMS.

You can either choose the LMNucleus by the Leo (SlightlySome) or you can use the version 3.66 by the Japanese Community on Nucleus CMS website. The Japanese Community has also released Version 3.70 and now plans to release 3.80 and 4.0 in the near future.

medulinka

New member

thank you mayank for your answer - I have backups for my site and I will try update to the LMNucleus 3.66 - my hoster has a few options to change the PHP version I can upgrade to 5.4, 5.5 and 5.6 - the version 5.3 is not available and I must write a letter to the support to downgrade if my site has issues. ;-)

Okay, so I will try it and I hope my Nucleus is running

Greetings and many thanks for your help
Heidi-Medulinka

medulinka

New member

hallo - please help

I have installed LMNucleus 3.66, but I have an error - I cannot fix the Upgrade because  a  403 error is shown. http://www.medulinka.at/nucleus/upgrades/index.php

On my homepage I can log in, but the adminpanel is not shown.

I dont find the mistake -  permissions of config.php I tried to change on 777, but its the same issue :-(

What can I do? Please help

Heidi

medulinka

New member

Now I  have my old Nucleus 3.65.01 running  - I give it up, but I will try it again an file for file upload and see, what is the matter ;-)

I hope I have a little help here

greetings
Heidi -Medulinka

Leo

Administrator

medulinka wrote

I have installed LMNucleus 3.66, but I have an error - I cannot fix the Upgrade because  a  403 error is shown. http://www.medulinka.at/nucleus/upgrades/index.php

The 403 error is usually a permission error, either on file/directory or in .htaccess. So double check that the web server process has read access to the /nucleus/upgrades/ directory and the /nucleus/upgrades/index.php file.